'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validateJSONPath = exports.isJSONPath = exports.INVALID_JSON_PATH_ERROR = exports.INVALID_PATH_ERROR = undefined;

var _isValidPath = require('is-valid-path');

var _isValidPath2 = _interopRequireDefault(_isValidPath);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var INVALID_PATH_ERROR = exports.INVALID_PATH_ERROR = 'node-jq: invalid path argument supplied (not a valid path)';
var INVALID_JSON_PATH_ERROR = exports.INVALID_JSON_PATH_ERROR = 'node-jq: invalid path argument supplied (not a .json file)';

var isJSONPath = exports.isJSONPath = function isJSONPath(path) {
  return (/\.json$/.test(path)
  );
};

var validateJSONPath = exports.validateJSONPath = function validateJSONPath(path) {
  if (!(0, _isValidPath2.default)(path)) {
    throw new Error(INVALID_PATH_ERROR + ': "' + path + '"');
  }

  if (!isJSONPath(path)) {
    throw new Error(INVALID_JSON_PATH_ERROR + ': "' + (path === '' ? '' : path) + '"');
  }
};